# TODO:
# logrotate
#
Summary:	DLNA server software
Summary(pl.UTF-8):	Oprogramowanie serwerowe DLNA
Name:		minidlna
Version:	1.3.3
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/minidlna/%{name}-%{version}.tar.gz
# Source0-md5:	a8b010d8803811f4e26e57894c30fa6c
Source1:	%{name}.init
Source2:	%{name}.service
Source3:	%{name}.tmpfiles
Patch0:		config.patch
URL:		http://sourceforge.net/projects/minidlna/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
# libavcodec libavformat libavutil
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	libexif-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.5.1
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MiniDLNA (aka ReadyDLNA) is server software with the aim of being
fully compliant with DLNA/UPnP-AV clients.

%description -l pl.UTF-8
MiniDLNA (znane także jako ReadyDLNA) to oprogramowanie serwerowe,
którego celem jest pełna zgodność z klientami DLNA/UPnP-AV.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
export CFLAGS="%{rpmcflags} -fcommon"
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT{%{systemdtmpfilesdir},%{systemdunitdir}} \
	$RPM_BUILD_ROOT/var/{log,run,cache}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed by make install: config file
cp -p %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
# and man pages
cp -p *.5 $RPM_BUILD_ROOT%{_mandir}/man5
cp -p *.8 $RPM_BUILD_ROOT%{_mandir}/man8

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{systemdunitdir}/%{name}.service
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 284 minidlna
%useradd -u 284 -r -d / -s /bin/false -g minidlna minidlna

%post
/sbin/chkconfig --add %{name}
%systemd_post %{name}.service

%preun
if [ "$1" = "0" ]; then
        %service -q %{name} stop
        /sbin/chkconfig --del %{name}
fi
%systemd_preun %{name}.service

%postun
if [ "$1" = "0" ]; then
        %userremove minidlna
        %groupremove minidlna
fi
%systemd_reload

%triggerpostun -- %{name} < 1.0.25-3
%systemd_trigger %{name}.service

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS LICENCE.miniupnpd NEWS README TODO
%attr(754,root,root) /etc/rc.d/init.d/minidlna
%attr(640,root,minidlna) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/minidlna.conf
%attr(755,root,root) %{_sbindir}/minidlnad
%{systemdtmpfilesdir}/%{name}.conf
%{systemdunitdir}/%{name}.service
%dir %attr(755,minidlna,minidlna) /var/run/%{name}
%dir %attr(755,minidlna,minidlna) /var/cache/%{name}
%dir %attr(755,minidlna,minidlna) /var/log/%{name}
%{_mandir}/man5/minidlna.conf.5*
%{_mandir}/man8/minidlnad.8*
%changelog
* Sat Nov 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/minidlna.git;a=log;h=master

* Sat Nov 04 2023 Jan Rękorajski <baggins@pld-linux.org> 45d494b
- up to 1.3.3

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> e7dfae2
- flac rebuild

* Sun Sep 11 2022 Jan Palus / PLD <atler@carme.pld-linux.org> 67ed059
- continue using -fcommon with newer compilers

* Sat Apr 28 2018 Jan Rękorajski <baggins@pld-linux.org> 679c9df
- rebuild with ffmpeg 4
- release 3 (by relup.sh)

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> fd70310
- release 2 (by relup.sh)

* Mon Dec 07 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 4f4c5a5
- Update to 1.1.5

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1b8d917
- updated gettext BR

* Mon Oct 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e124ed
- up to 1.1.4

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 433bc76
- release 2 (by relup.sh)

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 6cb462a
- added autotools BRs
- cleanup, removed obsolete ffmpeg10 patch, use provided man pages

* Sun Jan 05 2014 Bartlomiej Zimon <uzi18@o2.pl> b9fbc1a
- up to 1.1.1

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> 62862c7
- rebuild with ffmpeg 2.0.1
- release 6 (by relup.sh)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 634d8b9
- release 5 (by relup.sh)

* Sun Nov 18 2012 Artur Frysiak <artur@frysiak.net> 8b8001e
- run as minidlna user
- systemd support
- drop libdlna-devel BR (not used)
- versioned sqlite3 BR

* Thu Nov 15 2012 Artur Frysiak <artur@frysiak.net> 01bb359
- Verbose make

* Thu Nov 15 2012 Artur Frysiak <artur@frysiak.net> 3cd6bb5
- Add man pages (from Debian)

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 752dace
- real pl
- install translations
- release 3

* Fri Nov 09 2012 Jan Rękorajski <baggins@pld-linux.org> 9d6cd17
- parallel build is broken
- rel 2

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 8170ac4
- updated to 1.0.25
- fixed build with ffmpeg 1.0

* Thu Mar 01 2012 Grzesiek Pycia <gzohop@pld-linux.org> 157dd3c
- up to 1.0.24

